doc-base fails to handle perl-base having been upgraded but libuuid-perl not

Bug #891257 reported by Steve Langasek on 2011-11-16
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
doc-base (Debian)
Fix Released
Unknown
doc-base (Ubuntu)
High
Colin Watson
Precise
High
Colin Watson
perl (Debian)
Fix Released
Unknown
perl (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

daily dist-upgrade in precise fails because perl is in an inconsistent state.

Processing triggers for doc-base ...
/usr/bin/perl: symbol lookup error: /usr/lib/perl5/auto/UUID/UUID.so: undefined symbol: Perl_Gthr_key_ptr
dpkg: error processing doc-base (--remove):
 subprocess installed post-installation script returned error exit status 127

I also see other errors earlier in the upgrade:

Preparing to replace libxml-libxml-perl 1.88+dfsg-1 (using .../libxml-libxml-perl_1.88+dfsg-1build1_amd64.deb) ...
Can't locate File/Basename.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/XML/SAX.pm line 15.
BEGIN failed--compilation aborted at /usr/share/perl5/XML/SAX.pm line 15.
Compilation failed in require at /usr/bin/update-perl-sax-parsers line 18.
BEGIN failed--compilation aborted at /usr/bin/update-perl-sax-parsers line 18.
dpkg: warning: subprocess old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
dpkg: ... it looks like that went OK.
Unpacking replacement libxml-libxml-perl ...

Missing versioned Breaks or something?

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: doc-base 0.10.2
ProcVersionSignature: Ubuntu 3.1.0-3.3-generic 3.1.0
Uname: Linux 3.1.0-3-generic x86_64
ApportVersion: 1.26-0ubuntu1
Architecture: amd64
Date: Wed Nov 16 09:06:54 2011
ErrorMessage: subprocess installed post-installation script returned error exit status 127
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
PackageArchitecture: all
SourcePackage: doc-base
Title: package doc-base 0.10.2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 127
UpgradeStatus: Upgraded to precise on 2011-11-08 (7 days ago)

Steve Langasek (vorlon) wrote :
Changed in doc-base (Ubuntu):
importance: Undecided → High
Changed in doc-base (Ubuntu Precise):
milestone: none → precise-alpha-1
assignee: nobody → Canonical Foundations Team (canonical-foundations)
tags: added: rls-p-tracking
Colin Watson (cjwatson) wrote :

The libxml-libxml-perl problem is:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=625771

Niko says of that: "It's ugly, but I don't think it actually breaks anything".

Changed in doc-base (Ubuntu Precise):
status: New → Triaged
Colin Watson (cjwatson) wrote :

I've sent a possible patch to the Debian bug report. It needs review and could use coordination, so I'm not going to upload it to Ubuntu just yet.

Changed in doc-base (Ubuntu Precise):
status: Triaged → In Progress
assignee: Canonical Foundations Team (canonical-foundations) → Colin Watson (cjwatson)
Colin Watson (cjwatson) on 2011-11-17
summary: - package doc-base 0.10.2 failed to install/upgrade: subprocess installed
- post-installation script returned error exit status 127
+ doc-base fails to handle perl-base having been upgraded but libuuid-perl
+ not
Colin Watson (cjwatson) wrote :

Synced:

doc-base (0.10.2) unstable; urgency=low

   * DocBaseFile.pm: Ignore temporary/backup files in both /usr/share/doc-base
     and /etc/doc-base/documents (closes: #623169).
   * Update German translations (closes: #624345).
   * Update French translations (closes: #627284).
   * debian/control:
     + Add VCS fields;
     + Standards-Version: 3.9.2 (no changes).

 -- Robert Luberda <email address hidden> Fri, 01 Jul 2011 22:40:55 +0200

Changed in doc-base (Ubuntu Precise):
status: In Progress → Fix Released
Colin Watson (cjwatson) wrote :

Er, sorry, that was the wrong changelog entry. What I meant to paste was:

doc-base (0.10.3) unstable; urgency=low

  * debian/postinst: set PERL_DL_NONLAZY=1 not to fail when perl is being
    upgraded (closes: #648937).
  * install-docs.in:
    + show verbose warning message when doc-base is not fully functional;
    + drop the force-reregister file also when install-docs -C is called.
  * debian/control: Fix Vcs-Browser field.

 -- Robert Luberda <email address hidden> Thu, 17 Nov 2011 22:19:09 +0100

Colin Watson (cjwatson) wrote :

perl (5.14.2-5) unstable; urgency=low

  * Update versioned Breaks for dual-lived modules with updates in
    5.14.2 (libmodule-corelist-perl, libencode-perl)
  * Update versioned Breaks for doc-base to << 0.10.3; this version
    improves the resilience of the postinst during a major perl upgrade
    (Closes: #648954)

 -- Dominic Hargreaves <email address hidden> Thu, 17 Nov 2011 23:29:20 +0000

Changed in perl (Ubuntu Precise):
status: New → Fix Released
Changed in perl (Debian):
status: Unknown → Fix Released
Changed in doc-base (Debian):
status: Unknown → Fix Released
Changed in perl (Debian):
status: Fix Released → New
Changed in perl (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.